Patch: -fuse-divide-subroutine -vs- gcc 2.95

Bryce McKinlay bryce@albatross.co.nz
Mon Aug 16 19:56:00 GMT 1999


Bryce McKinlay wrote:

> Tom Tromey wrote:
>
> > I'm committing this patch.  It changes the trunk so that it will not
> > use -fuse-divide-subroutine when the compiler does not understand it.
> > This lets us build the most current libjava with gcj 2.95.  (This sort
> > of backward compatibility isn't always supported, but right now it is
> > ok.)
>
> This doesn't seem to work. I get the following building libgcj with "gcc version
> 2.95.1 19990816 (release)"

Never mind, it must have been picking up an old 'libgcj.spec' from somewhere!

regards

  [ bryce ]





More information about the Java-patches mailing list